Skip to main content
GET
List audit events

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

Query Parameters

entityId
string

Entity ID

eventTypes
enum<string>[]

List of Event Types to filter the audit events upon

Type of the audit event.

  • CUSTOMER_SETUP: Audit event for customer setup.
  • CUSTOMER_UPDATE: Audit event for updating a customer.
  • ENTITY_CREATE: Create entity.
  • ENTITY_LOOKUP: Lookup entity.
  • ENTITY_PURGE: Delete entity and all associated information.
  • ENTITY_RESULT_UPDATE: Manual result update.
  • ENTITY_RESULT_INVALIDATE: Invalidate result.
  • ENTITY_UPDATE: Update entity.
  • GENERATE_REPORT: Generate a report.
  • LEGACY_AUDIT: Audit event from V1.
  • MATCHLIST_ENTRY: Matchlist entry operations.
  • PORTAL_ACTION: Portal events.
  • RISK_OVERRIDE: Risk override.
  • SERVICE_PROFILE_CREATE: Create service profile.
  • SERVICE_PROFILE_UPDATE: Update service profile.
  • SERVICE_PROFILE_STATE_CHANGE: Service profile state change.
  • WORKFLOW_EVENT: Generic event in a workflow other than status, risk, or complete.
  • WORKFLOW_COMPLETE: Workflow is complete.
  • WORKFLOW_RISK_CHANGE: Workflow risk change.
  • WORKFLOW_STATUS_CHANGE: Workflow status change.
  • OTHER: Other event type.
  • PROVIDER_NOTIFICATION: Audit event for a notification received from a provider.
  • PROVIDER_STATUS_SYNC: Audit event for a status sync from a provider.
  • CASE_CREATE: A case was created.
  • CASE_UPDATE: A case was changed (fields, status/outcome, assignee, links or documents).
Available options:
CUSTOMER_SETUP,
CUSTOMER_UPDATE,
ENTITY_CREATE,
ENTITY_LOOKUP,
ENTITY_PURGE,
ENTITY_RESULT_UPDATE,
ENTITY_RESULT_INVALIDATE,
ENTITY_UPDATE,
GENERATE_REPORT,
LEGACY_AUDIT,
MATCHLIST_ENTRY,
PORTAL_ACTION,
RISK_OVERRIDE,
SERVICE_PROFILE_CREATE,
SERVICE_PROFILE_UPDATE,
SERVICE_PROFILE_STATE_CHANGE,
WORKFLOW_EVENT,
WORKFLOW_COMPLETE,
WORKFLOW_RISK_CHANGE,
WORKFLOW_STATUS_CHANGE,
OTHER,
PROVIDER_NOTIFICATION,
PROVIDER_STATUS_SYNC,
CASE_CREATE,
CASE_UPDATE
workflowNames
string[]

List of Workflow Names to filter the audit events upon

workflowRiskLevels
string[]

List of workflow risk levels to filter the audit events upon

sources
string[]

List of Sources that the audit events will be filtered upon

requestId
string

Request Identifier to filter the audit events upon

afterTimestamp
string<date>

Filter the Audit Events after the given filter based on the Event 'timestamp' value

beforeTimestamp
string<date>

Filter the Audit Events before the given filter based on the Event 'timestamp' value

channels
enum<string>[]

List of Channels to filter the audit events upon

The channel through which the audit event was generated.

Available options:
API,
PORTAL,
ONESDK,
SYSTEM
functionNames
string[]

Query parameter that contains a list of Function Names to filter the audit events upon List of Function Names to filter the audit events upon

Name of the Function

sort
enum<string>

Order of the sort fields will be sorted upon

Available options:
asc,
desc
sortFields
enum<string>[]

The list of sort fields that will be used in the query, the order of the sort fields will determine the order in which the items are sorted

Available options:
timestamp
page
integer

The page number that you want to retrieve for the list query

limit
integer
default:20

Limit the number of items that will be returned as part of the request

Required range: x >= 1

Response

OK

requestId
string

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

meta
object

Meta information about the request and response returned during a list operation.

events
object[]

List of audit events matching the query.